Encrypt/decrypt D7 not compatable with D2007?

delphi package - madRes, madTools, madStrings, ...
Post Reply
JimRowell
Posts: 1
Joined: Tue Sep 30, 2008 6:01 pm

Encrypt/decrypt D7 not compatable with D2007?

Post by JimRowell »

I have the same application compiled with both D7 and D2007.
I can decrypt things using D7 when they were encrypted using D7 and I can decrypt things using D2007 when they were encrypted using D2007 but I can not decrypt using D2007 if they were encrypted using D7
(the function calls succeed but the result is garbled nonsense).

Anyone else tried this?
madshi
Site Admin
Posts: 10339
Joined: Sun Mar 21, 2004 5:25 pm

Post by madshi »

Wow, that's news to me!

Will give this a try...
madshi
Site Admin
Posts: 10339
Joined: Sun Mar 21, 2004 5:25 pm

Post by madshi »

I'm sorry for the extremely late reply.

I've trouble getting D2007 to work on my development PC. D2009 is running just fine, but D2007 refuses to install (had to uninstall it when beta testing D2009).

What I've tried is encrypting a string in Delphi 7 and decrypting it in Delphi 2009 - and that works just fine. So it seems to me that there's some kind of weird bug in D2007. Have you installed all the latest D2007 update packs etc?
lastOne
Posts: 9
Joined: Wed Sep 03, 2008 4:50 am
Contact:

Post by lastOne »

madshi wrote:...
I've trouble getting D2007 to work on my development PC. D2009 is running just fine, but D2007 refuses to install (had to uninstall it when beta testing D2009).
[i know i`m offtopic] ... anyway, my advice will be to use virtual machines and save yourself from a lot of trouble. I`m using VirtualBox from SUN which is free, opensource and very easy to manage. I have 2009 and 2007 in different VMs and if something goes wrong i can restore a back-up of that specific VM in notime.

my 2 cents


P.S.
sorry for the offtopic
madshi
Site Admin
Posts: 10339
Joined: Sun Mar 21, 2004 5:25 pm

Post by madshi »

Well, I need all Delphi versions installed on my dev machine, anyway, so that I can batch build the required DCUs for my installer. The only exception is D2007, because the D2007 DCUs are compatible with D2006. That's why I haven't invested much time into making D2007 working again on my dev machine.

Using VirtualPC and VmWare a lot for testing purposes, of course...
Post Reply